<?php 
	$fieldWrapWidth = !empty($settings['box_width']) ? $settings['box_width'] : null;  
	$fieldWidth = $fieldWrapWidth != null ? round($fieldWrapWidth * 0.95) : null;
?>

.docebo-lms-login-form {
	color: <?php echo !empty($settings['text_color']) ? $settings['text_color'] : 'black'; ?>;

	<?php if (!empty($settings['border_color'])): ?>
		border: 1px solid <?php echo $settings['border_color']; ?>;
	<?php endif; ?>
	
	background-color: <?php echo !empty($settings['background_color']) ? $settings['background_color'] : 'white'; ?>;
	
	<?php if (!empty($settings['use_box_shadow']) && $settings['use_box_shadow'] == 1): ?>
		box-shadow: 0 0 8px rgba(0,0,0,0.20);
	<?php endif; ?>

	<?php if (!empty($settings['box_width'])): ?>
		width: <?php echo $settings['box_width']; ?>px;
	<?php endif; ?>

	<?php if (!empty($settings['box_height'])): ?>
		height: <?php echo $settings['box_height']; ?>px;
	<?php endif; ?>
}

.docebo-lms-login-form .logo-wrapper img {
	<?php if (!empty($settings['box_width'])): ?>
		max-width: <?php echo ($settings['box_width'] - 10); ?>px;
	<?php endif; ?>
}

.docebo-lms-login-form .form-type-textfield {
	<?php if ($fieldWrapWidth): ?>
		width: <?php echo $fieldWrapWidth; ?>px;
	<?php endif; ?>
}
.docebo-lms-login-form .form-text {
	<?php if ($fieldWidth): ?>
		width: <?php echo $fieldWidth; ?>px;
	<?php endif; ?>
}
.docebo-lms-login-form .form-action {
	<?php if ($settings['login_btn_position'] == 'center'): ?>
		text-align: center;
	<?php elseif ($settings['login_btn_position'] == 'right'): ?>
		text-align: right;
	<?php endif; ?>
}

.docebo-lms-login-form .form-action .form-submit {
	<?php if (!empty($settings['btn_background_color'])): ?>
		background: <?php echo $settings['btn_background_color']; ?>;
	<?php endif; ?>
	
	<?php if (!empty($settings['btn_border_color'])): ?>
		border: 1px solid <?php echo $settings['btn_border_color']; ?>;
	<?php endif; ?>
	
	color: <?php echo !empty($settings['btn_text_color']) ? $settings['btn_text_color'] : 'black'; ?>;
}

